footer a {
    position: relative;
    display: inline-block;
}

footer a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 0%;
    height: 2px;
    background: linear-gradient(to right, #60a5fa, #ffffff, #60a5fa);
    transition: 0.3s;
}

footer a:hover::after {
    width: 100%;
}